.TH MPEG2PLAY 1 "01 Jul 1994"
.SH NAME
mpeg2play \- X11 player for MPEG2 video streams
.SH SYNOPSIS
.B mpeg2play
[
.B -v\
n ]
[
.B -o\
n ]
[
.B -l
]
[
.B -q
]
[
.B -s
ssinfile
]
inputfile
[ upperfile ]
.SH DESCRIPTION
.B mpeg2play 
decodes and displays MPEG-1 and MPEG-2 video streams on
an 8-bit (or 24-bit) X11 display.
.SH OPTIONS
.HP
.B -v\
n
: Instructs mpeg2play to generate informative output about the sequence
to stdout. Increasing level (-v1, -v2, etc.) results in more detailed
output.
.HP
.B -o\
n
: output format (0: X11, 1: none). -o1 is sometimes useful for benchmarking.
.HP
.B -l
: Setting this flag results in repeated display of the sequence.
.HP
.B -8
: The local version of mpeg2play will use a 24-bit TrueColor visual if
the display supports it. This flag tells it to stick
to 8-bit PseudoColor. (This may be useful for images which are too large
for shared memory to be usable in TrueColor, since using shared memory is
typically twice as fast as not.)
.HP
.B -q
: Set this switch to suppress output of warnings to stderr. Usually a bad idea.
.HP
.B -s
ssinfile
: Spatial scalable video is decoded in two passes. The -s option specifies
the names of the output files from the first (lower layer) pass to the
second (enhancement layer) pass. 'ssinfile' describes the name format of the
lower layer pictures for spatial scalable sequences as a printf format
string. It has to contain exactly one integer format descriptor (e.g. %d,
%02d) and, a %c descriptor. The %d descriptor has to be before the %c.
(See documentation under /home/graphics/mpeg/mpeg2play if you need to
understand this.)
.HP
infile
: name of the file containing the MPEG stream. '-' denotes reading the stream
from stdin.
.HP
upperfile
: is the name of the upper layer bitstream of an SNR scalable stream or a
data partioning scalable bitstream ('infile' is the lower layer).

